cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PYE

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PYE

- All Implemented Interfaces:
    ISegment

      public class PYE
      extends Segment

  PYE - Payee Information Segment

  Represents an HL7 PYE message segment. This segment has the following fields:

  PYE-1 : Set ID - PYE (SI)Required
  PYE-2 : Payee Type (CWE)Required
  PYE-3 : Payee Relationship to Invoice (Patient) (CWE) Conditional
  PYE-4 : Payee Identification List (XON) Conditional
  PYE-5 : Payee Person Name (XPN) Conditional
  PYE-6 : Payee Address (XAD) Conditional
  PYE-7 : Payment Method (CWE) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PYE()` Constructs the PYE segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPayeeAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set Payee Address (XAD) Address for payee.
    `void` | `addPayeeAddress(XAD objPayeeAddress)` Set PYE-6 Payee Address (XAD) Address for payee.
    `void` | `addPayeeIdentificationList(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set Payee Identification List (XON) This field is about Payee or Business Arrangement identification information.
    `void` | `addPayeeIdentificationList(XON objPayeeIdentificationList)` Set Payee Identification List (XON) This field is about Payee or Business Arrangement identification information.
    `void` | `addPayeePersonName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set Payee Person Name (XPN) Individual's name; may be a patient's name or other individual.
    `void` | `addPayeePersonName(XPN objPayeePersonName)` Set Payee Person Name (XPN) Individual's name; may be a patient's name or other individual.
    `ISingleCollection<XAD>` | `getPayeeAddress()` Retrieve PYE-6 Payee Address (XAD) Address for payee.
    `ISingleCollection<XON>` | `getPayeeIdentificationList()` Retrieve Payee Identification List (XON) This field is about Payee or Business Arrangement identification information.
    `ISingleCollection<XPN>` | `getPayeePersonName()` Retrieve Payee Person Name (XPN) Individual's name; may be a patient's name or other individual.
    `CWE` | `getPayeeRelationshipToInvoice()` Retrieve Payee Relationship to Invoice (Patient) (CWE) This field is about Conditional or empty: if Payee Type in list ("PERS", "PPER"), then Required, else Not Permitted.
    `CWE` | `getPayeeType()` Retrieve Payee Type (CWE) This field is about Type of Payee.
    `CWE` | `getPaymentMethod()` Retrieve Payment Method (CWE) For Payee organizations that have more than one payment method.
    `SI` | `getSetID_PYE()` Retrieve Set ID - PYE (SI) This field is about Sequence Number.
    `void` | `setPayeeAddress(ISingleCollection<XAD> objPayeeAddress)` Set PYE-6 Payee Address (XAD) Address for payee.
    `void` | `setPayeeIdentificationList(ISingleCollection<XON> objPayeeIdentificationList)` Set Payee Identification List (XON) This field is about Payee or Business Arrangement identification information.
    `void` | `setPayeePersonName(ISingleCollection<XPN> objPayeePersonName)` Set Payee Person Name (XPN) Individual's name; may be a patient's name or other individual.
    `void` | `setPayeeRelationshipToInvoice(CWE objPayeeRelationshipToInvoice)` Set Payee Relationship to Invoice (Patient) (CWE) This field is about For Person Payee Types, the relationship to Invoice.
    `void` | `setPayeeRelationshipToInvoice(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Payee Relationship to Invoice (Patient) (CWE) This field is about For Person Payee Types, the relationship to Invoice.
    `void` | `setPayeeType(CWE objPayeeType)` Set Payee Type (CWE) This field is about Type of Payee.
    `void` | `setPayeeType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Payee Type (CWE) This field is about Type of Payee.
    `void` | `setPaymentMethod(CWE objPaymentMethod)` Set Payment Method (CWE) This field is about For Payee organizations that have more than one payment method.
    `void` | `setPaymentMethod(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Payment Method (CWE) This field is about For Payee organizations that have more than one payment method.
    `void` | `setSetID_PYE(SI obiSetID_Pye)` Set Set ID - PYE (SI) This field is about Sequence Number.
    `void` | `setSetID_PYE(java.lang.String strSetID_Pye)` Set Set ID - PYE (SI) This field is about Sequence Number.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PYE

          public PYE()

      Constructs the PYE segment.

  - ### Method Detail

    - #### getSetID_PYE

          public SI getSetID_PYE()

      Retrieve Set ID - PYE (SI) This field is about Sequence Number.
      Returns:
        SI - object of sequence number.

    - #### setSetID_PYE

          public void setSetID_PYE(java.lang.String strSetID_Pye)

      Set Set ID - PYE (SI) This field is about Sequence Number.
      Parameters:
        `strSetID_Pye` - - stirng of sequence number.

    - #### setSetID_PYE

          public void setSetID_PYE(SI obiSetID_Pye)

      Set Set ID - PYE (SI) This field is about Sequence Number.
      Parameters:
        `strSetID_Pye` - - stirng of sequence number.

    - #### getPayeeType

          public CWE getPayeeType()

      Retrieve Payee Type (CWE) This field is about Type of Payee.
      Returns:
        CWE - object of Payee Type.

    - #### setPayeeType

          public void setPayeeType(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set Payee Type (CWE) This field is about Type of Payee.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPayeeType

          public void setPayeeType(CWE objPayeeType)

      Set Payee Type (CWE) This field is about Type of Payee.
      Parameters:
        `CWE` - - Object of Payee Type.

    - #### getPayeeRelationshipToInvoice

          public CWE getPayeeRelationshipToInvoice()

      Retrieve Payee Relationship to Invoice (Patient) (CWE) This field is about Conditional or empty: if Payee Type in list ("PERS", "PPER"), then Required, else Not Permitted.
      Returns:
        CWE - object of Payee Relationship to Invoice .

    - #### setPayeeRelationshipToInvoice

          public void setPayeeRelationshipToInvoice(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set Payee Relationship to Invoice (Patient) (CWE) This field is about For Person Payee Types, the relationship to Invoice.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPayeeRelationshipToInvoice

          public void setPayeeRelationshipToInvoice(CWE objPayeeRelationshipToInvoice)

      Set Payee Relationship to Invoice (Patient) (CWE) This field is about For Person Payee Types, the relationship to Invoice.
      Parameters:
        `CWE` - - Object of Payee Relationship to Invoice (Patient).

    - #### getPayeeIdentificationList

          public ISingleCollection<XON> getPayeeIdentificationList()

      Retrieve Payee Identification List (XON) This field is about Payee or Business Arrangement identification information.
      Returns:
        ISingleCollection - List of object of payee identification list.

    - #### addPayeeIdentificationList

          public void addPayeeIdentificationList(java.lang.String strOrganizationName,
                                        CWE objOrganizationNameTypeCode,
                                        HD objAssigningAuthority,
                                        java.lang.String strIdentifierTypeCode,
                                        HD objAssigningFacility,
                                        java.lang.String strNameRepresentationCode,
                                        java.lang.String strOrganizationIdentifier)

      Set Payee Identification List (XON) This field is about Payee or Business Arrangement identification information.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.8.2.

    - #### addPayeeIdentificationList

          public void addPayeeIdentificationList(XON objPayeeIdentificationList)

      Set Payee Identification List (XON) This field is about Payee or Business Arrangement identification information.
      Parameters:
        `objVATRatesAppliedList` - - object of payee identification list.

    - #### setPayeeIdentificationList

          public void setPayeeIdentificationList(ISingleCollection<XON> objPayeeIdentificationList)

      Set Payee Identification List (XON) This field is about Payee or Business Arrangement identification information.
      Parameters:
        `objVATRatesAppliedList` - - list of object of payee identification list.

    - #### getPayeePersonName

          public ISingleCollection<XPN> getPayeePersonName()

      Retrieve Payee Person Name (XPN) Individual's name; may be a patient's name or other individual.
      Returns:
        ISingleCollection - List of object of payee person name.

    - #### addPayeePersonName

          public void addPayeePersonName(FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                java.lang.String strNameTypeCode,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                DTM objEffectiveDate,
                                DTM objExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                java.lang.String strCalledBy)

      Set Payee Person Name (XPN) Individual's name; may be a patient's name or other individual.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - sed to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addPayeePersonName

          public void addPayeePersonName(XPN objPayeePersonName)

      Set Payee Person Name (XPN) Individual's name; may be a patient's name or other individual.
      Parameters:
        `XPN` - - object of Payee Person Name.

    - #### setPayeePersonName

          public void setPayeePersonName(ISingleCollection<XPN> objPayeePersonName)

      Set Payee Person Name (XPN) Individual's name; may be a patient's name or other individual.
      Parameters:
        `XPN` - - object of Payee Person Name.

    - #### getPayeeAddress

          public ISingleCollection<XAD> getPayeeAddress()

      Retrieve PYE-6 Payee Address (XAD) Address for payee. If not specified, then Payer will use address on file for this Payee, if applicable. If Payee is an individual, then this address can be used to send a check.
      Returns:
        ISingleCollection - List of object of payee Address.

    - #### addPayeeAddress

          public void addPayeeAddress(SAD objStreetAddress,
                             java.lang.String strOtherDesignation,
                             java.lang.String strCity,
                             java.lang.String strStateOrProvince,
                             java.lang.String strZipOrPostalCode,
                             java.lang.String strCountry,
                             java.lang.String strAddressType,
                             java.lang.String strOtherGeographicDesignation,
                             CWE objCountyParishCode,
                             CWE objCensusTract,
                             java.lang.String strAddressRepresentationCode,
                             DTM objEffectiveDate,
                             DTM objExpirationDate,
                             CWE objEXpirationReason,
                             java.lang.String strTemporaryIndicator,
                             java.lang.String strBadAddressIndicator,
                             java.lang.String strAddressUsage,
                             java.lang.String strAddressee,
                             java.lang.String strComment,
                             java.lang.String strPreferenceOrder,
                             CWE objProtectionCode,
                             EI objAddressIdentifier)

      Set Payee Address (XAD) Address for payee. If not specified, then Payer will use address on file for this Payee, if applicable. If Payee is an individual, then this address can be used to send a check.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAddressIdentifier` - indicates a unique identifier for address

    - #### addPayeeAddress

          public void addPayeeAddress(XAD objPayeeAddress)

      Set PYE-6 Payee Address (XAD) Address for payee. If not specified, then Payer will use address on file for this Payee, if applicable. If Payee is an individual, then this address can be used to send a check.
      Parameters:
        `XAD` - - object of Payee Address.

    - #### setPayeeAddress

          public void setPayeeAddress(ISingleCollection<XAD> objPayeeAddress)

      Set PYE-6 Payee Address (XAD) Address for payee. If not specified, then Payer will use address on file for this Payee, if applicable. If Payee is an individual, then this address can be used to send a check.
      Parameters:
        `XAD` - - object of Payee Address.

    - #### getPaymentMethod

          public CWE getPaymentMethod()

      Retrieve Payment Method (CWE) For Payee organizations that have more than one payment method.
      Returns:
        CWE - object of Payment Method.

    - #### setPaymentMethod

          public void setPaymentMethod(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set Payment Method (CWE) This field is about For Payee organizations that have more than one payment method.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPaymentMethod

          public void setPaymentMethod(CWE objPaymentMethod)

      Set Payment Method (CWE) This field is about For Payee organizations that have more than one payment method.
      Parameters:
        `CWE` - - Object of Payment Method.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PYE} while parsing PYE segment validate method will check for its mandatory presence. [PYE] in this case validate will throw exception if one tries to enter more than one PYE segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.